Crashpad

Public Attributes | List of all members
crashpad::ProcessReader::Thread Struct Reference

Contains information about a thread that belongs to a task (process). More...

`#include "snapshot/mac/process_reader.h"`

## Public Attributes
ThreadContext | thread_context
FloatContext | float_context
DebugContext | debug_context
uint64_t | id
mach_vm_address_t | stack_region_address
mach_vm_size_t | stack_region_size
mach_vm_address_t | thread_specific_data_address
thread_t | port
int | suspend_count
int | priority

## Detailed Description

Contains information about a thread that belongs to a task (process).

The documentation for this struct was generated from the following files:

- snapshot/mac/process_reader.h
- snapshot/mac/process_reader.cc